# DescribeMaintenanceAlerts

## 1. API Description

This API is used to query maintenance alert notifications.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="169.3012048192771">Parameter Name</th><th width="119">Required</th><th width="108">Type</th><th>Description</th></tr></thead><tbody><tr><td>product</td><td>Yes</td><td>String</td><td>Products supported. Currently Bare Metal (<code>BMC</code>) and Cloud Networking (<code>SDN</code>) are available.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="179.33333333333331">Parameter Name</th><th width="186">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>dataList</td><td>Array of <a href="../../datastructure#maintenancealertinfo">MaintenanceAlerts</a></td><td>Information on maintenance alert notifications.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Queries** **maintenance notifications.**

```json
POST /api/v2/maintenance HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeMaintenanceAlerts
<Common Request Params>

Request:
{
    "product":"SDN"
}

Response:
{
  "requestId": "T83B6A963-B111-4BF9-8466-1C3351E2DFD1",
  "dataList": [
        {
            "instanceId": "node-1afmdaxzad23",
            "location": "area-shanghai-1",
            "impact": "this is impact infomation",
            "startTime": "2023-07-28T16:00:00Z",
            "endTime": "2023-07-29T16:00:00Z",
            "status": "in progress"
        }
 ]
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources <a href="#id-5.-kai-fa-zhe-gong-ju" id="id-5.-kai-fa-zhe-gong-ju"></a>

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​​
